<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Leaflet</title>
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.3/dist/leaflet.css"
    integrity="sha256-kLaT2GOSpHechhsozzB+flnD+zUyjE2LlfWPgU04xyI="
    crossorigin=""/>
    <!-- Make sure you put this AFTER Leaflet's CSS -->
    <script src="leaflet.js"
    integrity="sha256-WBkoXOwTeyKclOHuWtc+i2uENFpDZ9YPdf5Hf+D7ewM="
    crossorigin=""></script>
    <style>
        #map { height: 180px; }
    </style>
</head>
<body>
    <div id="map" style="width: 1000px; height: 800px;"></div>
    <script>
        //MAPA
        const map = L.map('map').setView([41.390205, 2.154007], 13);
        let circleColor = '';
    
        //TITULO    
        L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {
            maxZoom: 19,
            attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>'
        }).addTo(map);

        //Funcion mostrar posicion
        function onMapClick(e) {
            const popup = L.popup()
                .setLatLng(e.latlng)
                .setContent(`You clicked the map at ${e.latlng.toString()}`)
                .openOn(map);
        }
        map.on('click', onMapClick);


        fetch("stations.json")
        .then(function(response) {
            return response.json();
        })
        .then(function (dataJson) {
            console.log(dataJson);
            for (const station of dataJson.stations) {
                if(station.bikes > 10) circleColor = 'green';
                else if(station.bikes > 3) circleColor = 'yellow';
                else circleColor = 'red';

                var circle = L.circle([station.latitude, station.longitude], {
                    color: circleColor,
                    fillColor: circleColor,
                    fillOpacity: 0.5,
                    radius: 100
                }).addTo(map);
            }
        })
    </script>
    

</body>
</html>